<%- include("partials/header") %>

    <div class="modal fade" id="reserveModal" tabindex="-1" role="dialog" aria-labelledby="reserveModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header border-0">
            <h5 class="modal-title" id="reserveModalLabel">ثبت درخواست رزرو</h5>
            <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form onsubmit="sendReserveRequest(event);">
              <div class="row form-group">
                <div class="col">
                  <div class="input-group">
                    <input type="text" class="form-control" id="reserve-from-date" placeholder="تاریخ رفت" aria-label="reserve-from-date-datepicker" aria-describedby="reserve-from-date-datepicker" onchange="fromDateChanged(event);" disabled required>
                    <div class="input-group-prepend reserve-datepicker">
                      <div class="input-group-text cursor-pointer" id="reserve-from-date-datepicker"><i class="far fa-calendar-alt"></i></div>
                    </div>
                  </div>
                </div>
                <div class="col">
                  <div class="input-group">
                    <input type="text" class="form-control" id="reserve-to-date" placeholder="تاریخ برگشت"aria-label="reserve-to-date-datepicker" aria-describedby="reserve-to-date-datepicker" disabled onchange="calculateBill(event);" required>
                    <div class="input-group-prepend reserve-datepicker">
                      <div class="input-group-text cursor-pointer" id="reserve-to-date-datepicker"><i class="far fa-calendar-alt"></i></div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-group border-bottom border-warning pb-3 m-0 text-right">
                <label>تعداد نفرات</label>
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend">
                    <div class="input-group-text custom-cursor-pointer" onclick="decreaseNum(event, 'extrasNum');">
                      <i class="fas fa-minus"></i>
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-center" value="0" dir="rtl" name="guests-number" onchange="calculateBill(event);" onkeyup="calculateBill(event);" max="<%= pageData.house.maximum_space %>" required>
                  <div class="input-group-append">
                    <div class="input-group-text custom-cursor-pointer" onclick="increaseNum(event, 'extrasNum');">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
              </div>
              <div class="reserve-bill border-top border-warning py-3 m-0">
                <div class="night-pay border-bottom p-3">
                  <div class="float-right">
                    <p class="m-0">
                      <span class="night-num">0</span> شب
                    </p>
                  </div>
                  <div class="float-left">
                    <span class="nights-pay">0</span> تومان
                  </div>
                  <div class="clearfix"></div>
                </div>
                <div class="extra-pay border-bottom p-3">
                  <div class="float-right">
                    <p class="m-0">
                      <span class="extra-num">0</span> نفر اضافه
                    </p>
                  </div>
                  <div class="float-left">
                    <span class="extras-pay">0</span> تومان
                  </div>
                  <div class="clearfix"></div>
                </div>
                <div class="final-pay border-bottom border-secondary p-3">
                  <div class="float-right">
                    <p class="m-0">
                      مبلغ نهایی
                    </p>
                  </div>
                  <div class="float-left">
                    <span class="finals-pay">0</span> تومان
                  </div>
                  <div class="clearfix"></div>
                </div>
              </div>
              <button type="submit" class="btn btn-success btn-block">ثبت درخواست</button>
            </form>
          </div>
        </div>
      </div>
    </div>

    <section class="show-house-main p-4 text-right">
      <div class="house-details d-none">
        <span class="weekend-price"><%= pageData.house.weekend_price %></span>
        <span class="peak-price"><%= pageData.house.peak_price %></span>
      </div>
      <h4 class="title">
        <%= pageData.house.title %> - کد <span class="house-code"><%= pageData.house.house_id %></span>
        <span class="float-left">
          <a href="#" class="btn btn-success" data-toggle="modal" data-target="#reserveModal">ارسال درخواست رزرو</a>
          <a href="#" class="mx-2" onclick="likeHouse(event);"><i class="fas fa-heart mx-2 <%= pageData.houseLiked %>"></i></a>
          <a href="#" class="mx-2"><i class="fas fa-share-alt mx-2"></i></a>
        </span>
        <div class="clearfix"></div>
      </h4>
      <div class="row">
        <div class="col-6">
          <div class="row">
            <div class="col-12 main-pic p-2">
              <img src="<%= pageData.house.pics[0] %>" class="w-100">
            </div>
            <% for (i = 1; i < pageData.house.pics.length; i++) {%>
              <div class="col-4 pic-1 p-2">
                <img src="<%= pageData.house.pics[i] %>" class="w-100">
              </div>
            <% } %>
          </div>
        </div>
        <div class="col-6 p-4">
          <h5 class="my-3"><span><%= pageData.house.region %></span>، <span><%= pageData.house.city %></span></h5>
          <h6 class="my-3">
            <span class="show-house-rating mr-2">
              <% if (pageData.house.rating) { %>
                <% for (i = 5; i > 0; i -= 1) { %>
                  <% if (i > pageData.house.rating) { %>
                    <i class="fas fa-star"></i>
                  <% } else { %>
                    <i class="fas fa-star" style="color: #ffc107;"></i>
                  <% } %>
                <% } %>
              <% } else { %>
                امتیازی ثبت نشده
              <% } %>
            </span>
          </h6>
          <h5 class="my-3">نوع ساختمان - تعداد خواب</h5>
          <h5 class="mt-3 mb-2">ظرفیت: <span class="standard-space"><%= pageData.house.standard_space %></span> نفر</h5>
          <h6 class="mt-2 mb-3 text-muted pr-3">به علاوه <span class="extra-space"><%= pageData.house.maximum_space - pageData.house.standard_space %></span> نفر اضافه</h6>
          <h5 class="mt-3 mb-2"><%= pageData.house.single_bed %> تخت یک‌نفره</h5>
          <h6 class="mt-2 mb-3 text-muted pr-3"><%= pageData.house.double_bed %>  تخت دو نفره</h6>
          <h5 class="mt-3 mb-2">قیمت: <span class="normal-price"><%= pageData.house.normal_price %></span> تومان</h5>
          <h6 class="mt-2 mb-3 text-muted pr-3">قیمت هر نفر اضافه: <span class="extra-price"><%= pageData.house.extra_price %></span> تومان</h6>
          <% if (pageData.house.discount_1.more_than != 0 && pageData.house.discount_1.discount != 0) { %>
            <h5 class="mt-3 mb-2">تخفیف رزرو بیشتر از <span class="discount-1-days"><%= pageData.house.discount_1.more_than %></span> روز: <span class="discount-1-percent"><%= pageData.house.discount_1.discount %></span>%</h5>
            <% if (pageData.house.discount_2.more_than != 0 && pageData.house.discount_2.discount != 0) { %>
              <h6 class="mt-2 mb-3 text-muted pr-3">تخفیف رزرو بیشتر از <span class="discount-2-days"><%= pageData.house.discount_2.more_than %></span> روز: <span class="discount-2-percent"><%= pageData.house.discount_2.discount %></span>%</h6>
            <% } %>
          <% } else if (pageData.house.discount_2.more_than != 0 && pageData.house.discount_2.discount != 0) { %>
            <h5 class="mt-3 mb-2">تخفیف رزرو بیشتر از <span><%= pageData.house.discount_2.more_than %></span> روز: <span><%= pageData.house.discount_2.discount %></span>%</h5>
          <% } %>
        </div>
        <div class="col-6 mt-2 p-4 border-top border-left">
          <h5>درباره‌ی این مکان</h5>
          <p class="p-3"><%= pageData.house.about_house %></p>
          <h5>فضای آپارتمان</h5>
          <div class="row p-3">
            <div class="col-4">
              <p>متراژ زمین: <span><%= pageData.house.ground_area %></span> متر مربع</p>
            </div>
            <div class="col-4">
              <p>متراژ بنا: <span><%= pageData.house.house_area %></span> مترمربع</p>
            </div>
          </div>
          <h5>توضیحات</h5>
          <p class="p-3"><%= pageData.house.about_texture %></p>
        </div>
        <div class="col-6 mt-2 p-4 border-top border-right">
          <h5>امکانات</h5>
          <div class="row p-3">
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.gas_cooler == "true") { %>
                <input type="checkbox" class="custom-control-input" id="gas-cooler" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="gas-cooler" disabled>
              <% } %>
              <label class="custom-control-label" for="gas-cooler">کولر گازی</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.water_cooler == "true") { %>
                <input type="checkbox" class="custom-control-input" id="water-cooler" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="water-cooler" disabled>
              <% } %>
              <label class="custom-control-label" for="water-cooler">کولر آبی</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.heater == "true") { %>
                <input type="checkbox" class="custom-control-input" id="heater" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="heater" disabled>
              <% } %>
              <label class="custom-control-label" for="heater">گرمایش</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.wireless_net == "true") { %>
                <input type="checkbox" class="custom-control-input" id="wireless-net" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="wireless-net" disabled>
              <% } %>
              <label class="custom-control-label" for="wireless-net">اینترنت وایرلس</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.closed_pool == "true") { %>
                <input type="checkbox" class="custom-control-input" id="closed-pool" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="closed-pool" disabled>
              <% } %>
              <label class="custom-control-label" for="closed-pool">استخر سرپوشیده</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.open_pool == "true") { %>
                <input type="checkbox" class="custom-control-input" id="open-pool" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="open-pool" disabled>
              <% } %>
              <label class="custom-control-label" for="open-pool">استخر سرباز</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.elevator == "true") { %>
                <input type="checkbox" class="custom-control-input" id="elevator" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="elevator" disabled>
              <% } %>
              <label class="custom-control-label" for="elevator">آسانسور</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.terrace == "true") { %>
                <input type="checkbox" class="custom-control-input" id="terrace" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="terrace" disabled>
              <% } %>
              <label class="custom-control-label" for="terrace">تراس</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.foreign_toilet == "true") { %>
                <input type="checkbox" class="custom-control-input" id="foreign-toilet" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="foreign-toilet" disabled>
              <% } %>
              <label class="custom-control-label" for="foreign-toilet">سرویس فرنگی</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.parking == "true") { %>
                <input type="checkbox" class="custom-control-input" id="parking" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="parking" disabled>
              <% } %>
              <label class="custom-control-label" for="parking">پارکینگ</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.bbq == "true") { %>
                <input type="checkbox" class="custom-control-input" id="bbq" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="bbq" disabled>
              <% } %>
              <label class="custom-control-label" for="bbq">باربیکیو</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.tv == "true") { %>
                <input type="checkbox" class="custom-control-input" id="tv" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="tv" disabled>
              <% } %>
              <label class="custom-control-label" for="tv">تلویزیون</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.breakfast == "true") { %>
                <input type="checkbox" class="custom-control-input" id="breakfast" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="breakfast" disabled>
              <% } %>
              <label class="custom-control-label" for="breakfast">صبحانه</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.shower == "true") { %>
                <input type="checkbox" class="custom-control-input" id="shower" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="shower" disabled>
              <% } %>
              <label class="custom-control-label" for="shower">حمام</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.receiver == "true") { %>
                <input type="checkbox" class="custom-control-input" id="receiver" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="receiver" disabled>
              <% } %>
              <label class="custom-control-label" for="receiver">گیرنده‌ی دیجیتال</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.furniture == "true") { %>
                <input type="checkbox" class="custom-control-input" id="furniture" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="furniture" disabled>
              <% } %>
              <label class="custom-control-label" for="furniture">مبلمان</label>
            </div>
            <div class="custom-control custom-checkbox col-3 my-2">
              <% if (pageData.house.facilities.cooking_stuff == "true") { %>
                <input type="checkbox" class="custom-control-input" id="cooking-stuff" checked disabled>
              <% } else { %>
                <input type="checkbox" class="custom-control-input" id="cooking-stuff" disabled>
              <% } %>
              <label class="custom-control-label" for="cooking-stuff">تجهیزات آشپزی</label>
            </div>
          </div>
          <h5>توضیحات</h5>
          <p class="p-3"><%= pageData.house.about_facilities %></p>
        </div>
        <div class="col-6 p-4 border-top border-bottom">
          <h5>قوانین</h5>
          <div class="row">
            <div class="col-6">
              <p class="px-3 py-2 m-0">
                امکان ورود حیوانات خانگی: <span><% if (pageData.house.can_bring_pets) { %>دارد<% } else { %> ندارد<% } %></span>
              </p>
              <p class="px-3 py-2 m-0">
                امکان برگزاری مراسم: <span><% if (pageData.house.can_party) { %>دارد<% } else { %> ندارد<% } %></span>
              </p>
            </div>
            <div class="col-6">
              <div class="enter-exit-times mx-auto p-1">
                <h6 class="px-3 py-1">ساعت ورود از: <span><%= pageData.house.enter_time %></span></h6>
                <h6 class="px-3 py-1">ساعت خروج تا: <span><%= pageData.house.exit_time %></span></h6>
              </div>
            </div>
          </div>
          <p class="px-3 py-1 m-0 small text-muted">ارایه مدارک معتبر مطابق قوانین سایت الزامی است.</p>
          <p class="px-3 py-1 m-0 small text-muted">جهت پذیرش مهمانان خارجی، قبل از رزرو بصورت تلفنی هماهنگی انجام شود.</p>
          <h5 class="mt-2">توضیحات</h5>
          <p class="p-3"><%= pageData.house.custom_rules %></p>
        </div>
        <div class="col-6 p-4 border-top cancel-rules border-bottom">
          <h5>قوانین لغو رزرو</h5>
          <ul>
            <li class="py-2">تا ۷۲ ساعت مانده به شروع اقامت: کسر ۱۰٪ از مبلغ کل رزرو و بازگشت باقی‌مانده مبلغ</li>
            <li class="py-2">کمتر از ۷۲ ساعت مانده به شروع اقامت: کسر مبلغ اولین شب رزرو و بازگشت باقی‌مانده مبلغ</li>
            <li class="py-2">در روز شروع اقامت: کسر مبلغ ۲ شب اول رزرو و بازگشت باقی‌مانده مبلغ</li>
            <li class="py-2">در ایام پیک، بازه‌ی ۷۲ ساعت، ۱ هفته محاسبه می‌شود و امکان کنسلی وجود ندارد</li>
            <li class="py-2">رزروهای مربوط به ایام عید نوروز تنها تا 15 اسفند امکان کنسلی دارند و پس از آن عودت مبلغ تنها با موافقت میزبان ممکن است</li>
          </ul>
        </div>
      </div>
    </section>

    <section class="show-house-comments py-4 text-right px-5">
      <h4 class="mb-3"><span><%= pageData.house.comments.length %></span> نظر
        <span class="show-house-rating mr-2">
          <% if (pageData.house.rating) { %>
            <% for (i = 5; i > 0; i -= 1) { %>
              <% if (i > pageData.house.rating) { %>
                <i class="fas fa-star"></i>
              <% } else { %>
                <i class="fas fa-star" style="color: #ffc107;"></i>
              <% } %>
            <% } %>
          <% } else { %>
            امتیازی ثبت نشده
          <% } %>
        </span>
      </h4>
      <% for (i = 0; i < pageData.comments.length; i++) { %>
        <hr>
        <div class="comment">
          <div class="writer-info my-3">
            <img src="<%= pageData.comments[i].profilePic %>" class="rounded-circle d-inline-block mx-2 float-right">
            <div class="d-inline-block mx-2">
              <h6 class="mb-1"><%= pageData.comments[i].name %></h6>
              <p class="small text-muted m-0"><%= pageData.comments[i].date %></p>
            </div>
            <div class="clearfix"></div>
          </div>
          <div class="content px-5">
            <p><%= pageData.comments[i].text %></p>
          </div>
        </div>
      <% } %>
    </section>

    <%- include("partials/footer") %>

    <script>
      $('#reserve-from-date-datepicker').MdPersianDateTimePicker({
        targetTextSelector: '#reserve-from-date',
        dateFormat: 'yyyy-MM-dd',
        isGregorian: false,
        disableBeforeToday: true
      });

      $('#reserve-to-date-datepicker').MdPersianDateTimePicker({
        targetTextSelector: '#reserve-to-date',
        dateFormat: 'yyyy-MM-dd',
        isGregorian: false,
        disableBeforeToday: true
      });

      // When the user scrolls the page, execute myFunction
      window.onscroll = function() {stickyTitleControl()};

      // Get the header
      var titleDiv = document.getElementsByClassName("title")[0];

      // Get the offset position of the navbar
      var sticky = titleDiv.offsetTop;

      // Add the sticky class to the header when you reach its scroll position. Remove "sticky" when you leave the scroll position
      function stickyTitleControl() {
        if (window.pageYOffset + 21 > sticky) {
          titleDiv.classList.add("sticky-title");
        } else {
          titleDiv.classList.remove("sticky-title");
        }
      }

      function likeHouse (e) {
        console.log("LIKE HOUSE CALLED");

        var houseId = $(".house-code").text()
        var action = "like";
        var icon = $(".show-house-main .title .fa-heart");

        if (icon.hasClass("liked")) {
          action = "dislike";
        };

        $.ajax({
          method: "POST",
          url: "/like",
          dataType: "json",
          data : {
            houseid: houseId,
            action: action
          },

          success: function (data) {
            console.log("HOUSE LIKED");
            console.log(data);

            if (action == "like") {
              icon.addClass("liked");
            } else {
              icon.removeClass("liked");
            }
          },

          error: function (err) {
            console.log("POST REQUEST ERROR");
            console.log(err);
          }
        });
      }

      function fromDateChanged (e) {
        // console.log("HIIII");
        var fromDate = $("#reserve-from-date-datepicker").MdPersianDateTimePicker("getDate");
        var toStartDate = new Date(fromDate);

        toStartDate.setDate(fromDate.getDate() + 1);

        $("#reserve-to-date-datepicker").MdPersianDateTimePicker("destroy");
        $('#reserve-to-date-datepicker').MdPersianDateTimePicker({
          targetTextSelector: '#reserve-to-date',
          dateFormat: 'yyyy-MM-dd',
          isGregorian: false,
          disableBeforeToday: true,
          disableBeforeDate: toStartDate
        });
        // $("#reserve-to-date").val("");
      }

      function calculateBill (e) {
        console.log("CALCULATE BILL");

        // console.log($("#reserve-to-date-datepicker").MdPersianDateTimePicker("getDate").getDate());
        // console.log($("#reserve-from-date-datepicker").MdPersianDateTimePicker("getDate").getDate());
        // console.log($("#reserve-to-date-datepicker").MdPersianDateTimePicker("getDate").getDate() - $("#reserve-from-date-datepicker").MdPersianDateTimePicker("getDate").getDate());

        var fromDateTemp = $("#reserve-from-date-datepicker").MdPersianDateTimePicker("getDate");
        var toDateTemp = $("#reserve-to-date-datepicker").MdPersianDateTimePicker("getDate");
        var houseId = $(".house-code").text()

        if (fromDateTemp && toDateTemp) {
          var fromDate = new Date(fromDateTemp);
          var toDate = new Date(toDateTemp);
          var standardSpace = parseInt($(".standard-space").text());
          var maxSpace = parseInt($(".extra-space").text()) + standardSpace;
          var oneNightPay = parseInt($(".normal-price").text());
          var weekendPay = parseInt($(".weekend-price").text());
          var peakPay = parseInt($(".peak-price").text());
          var oneExtraPay = parseInt($(".extra-price").text());
          var discount1Days = parseInt($(".discount-1-days"));
          var discount1Percent = parseInt($(".discount-1-percent"));
          var discount2Days = parseInt($(".discount-2-days"));
          var discount2Percent = parseInt($(".discount-2-percent"));
          var nightsPrice = 0;

          var fromUTC = Date.UTC(fromDate.getFullYear(), fromDate.getMonth(), fromDate.getDate());
          var toUTC = Date.UTC(toDate.getFullYear(), toDate.getMonth(), toDate.getDate());
          var msPerDay = 1000 * 60 * 60 * 24;

          var nights = Math.floor((toUTC - fromUTC) / msPerDay);

          var daysList = []

          for (i = 0; i < nights; i++) {
            fromDate.setDate(fromDate.getDate() + 1);
            daysList.push(fromDate.toDateString().slice(0, 3));
          }

          for (i = 0; i < daysList.length; i++) {
            if (daysList[i] == "Thu" || daysList[i] == "Fri") {
              nightsPrice += oneNightPay;
            } else {
              nightsPrice += weekendPay;
            }
          }

          var extras = $("input[name='guests-number']").val() - standardSpace;
          var extraPay = 0;
          if (extras > 0) {
            extraPay = extras * oneExtraPay;
          }

          var finalPay = nightsPrice + extraPay;

          if (discount1Days.length > 0 && discount2Days == 0) {
            //USE DISCOUNT 1
            var oneP = finalPay / 100;
            var discount = oneP * discount1Percent;
            finalPay = Math.round(finalPay - discount);
          } else if (discount2Days.length > 0 && discount2Days == 0) {
            //USE DISCONT 2
            var oneP = finalPay / 100;
            var discount = oneP * discount2Percent;
            finalPay = Math.round(finalPay - discount);
          } else if (discount1Days.length > 0 && discount2Days.length > 0) {
            if (nights > discount1Days && nights < discount2Days) {
              //USE DISCOUNT 1
              var oneP = finalPay / 100;
              var discount = oneP * discount1Percent;
              finalPay = Math.round(finalPay - discount);
            } else if (nights > discount2Days && nights < discount1Days) {
              //USE DISCOUNT 2
              var oneP = finalPay / 100;
              var discount = oneP * discount2Percent;
              finalPay = Math.round(finalPay - discount);
            } else if (nights > discount1Days && nights > discount2Days) {
              if (discount1Days > discount2Days) {
                //USE DISCOUNT 1
                var oneP = finalPay / 100;
                var discount = oneP * discount1Percent;
                finalPay = Math.round(finalPay - discount);
              } else if (discount2Days > discount1Days) {
                //USE DISCOUNT 2
                var oneP = finalPay / 100;
                var discount = oneP * discount2Percent;
                finalPay = Math.round(finalPay - discount);
              }
            }
          }

          var nightsSpan = $(".night-num");
          var nightsPaySpan = $(".nights-pay");
          var extrasSpan = $(".extra-num");
          var extrasPaySpan = $(".extras-pay");
          var finalPaySpan = $(".finals-pay");


          nightsSpan.text(nights);
          nightsPaySpan.text(nightsPrice);
          extrasPaySpan.text(extraPay);
          finalPaySpan.text(finalPay);

          if (extras > 0) {
            extrasSpan.text(extras);
          }
        }
      }

      function increaseNum (e, target) {
        var input;

        switch (target) {
          case "extrasNum":
            input = $("input[name='guests-number']");
            break;

          default:
            console.log("INCREASE NUMBER DEFAULT");
            break;
        }

        if (input.val() == "") {
          input.val(1);
        } else {
          input.val(parseInt(input.val()) + 1);
        }

        calculateBill(null);
      }

      function decreaseNum (e, target) {
        var input;

        switch (target) {
          case "extrasNum":
            input = $("input[name='guests-number']");
            break;

          default:
            console.log("INCREASE NUMBER DEFAULT");
            break;
        }

        if (input.val() == "") {
          input.val(0);
        } else if (input.val() != 0) {
          input.val(parseInt(input.val()) - 1);
        }

        calculateBill(null);
      }

      function sendReserveRequest (e) {
        console.log("SEND RESERVE REQUEST");

        e.preventDefault();

        var houseReservedAlert = `
          <div class="alert alert-success text-right" role="alert">
            درخواست رزرو فرستاده شد
          </div>
        `;
        var houseId = $(".house-code").text()
        var fromDate = $("#reserve-from-date-datepicker").MdPersianDateTimePicker("getDate");
        var toDate = $("#reserve-to-date-datepicker").MdPersianDateTimePicker("getDate");
        var guests = $("input[name='guests-number']").val();
        var price = $(".finals-pay").text().replace(/,/g, "");

        $.ajax({
          method: "POST",
          url: "/reserve",
          dataType: "json",
          data : {
            houseid: houseId,
            reserve_data: {
              enter_date: fromDate,
              exit_date: toDate,
              guests: guests,
              price: price
            }
          },

          success: function (data) {
            console.log("RESERVE REQUEST SENT");
            console.log(data);

            if (data.status == "success") {
              $("#reserveModal .modal-body").prepend(houseReservedAlert);
            } else {
              console.log(data.message);
              // icon.removeClass("liked");
            }
          },

          error: function (err) {
            console.log("POST REQUEST ERROR");
            console.log(err);
          }
        });
      }
    </script>

  </body>
</html>
